Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 834640 - net-misc/dahdi-3.1.0-r3: fails to compile (drivers/dahdi/vpmadt032_loader/.vpmadt032_x86_64.o.cmd: No such file or directory)
Summary: net-misc/dahdi-3.1.0-r3: fails to compile (drivers/dahdi/vpmadt032_loader/.vp...
Status: IN_PROGRESS
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Jaco Kroon
URL:
Whiteboard:
Keywords: PullRequest
Depends on:
Blocks:
 
Reported: 2022-03-06 00:06 UTC by Vieri
Modified: 2022-06-30 21:47 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
build log (dahdi-build.log,549.11 KB, text/plain)
2022-03-06 01:01 UTC, Vieri
Details
compilation issue (build log) (dahdi_build.log,298.10 KB, text/x-log)
2022-06-14 22:42 UTC, Vieri
Details
build log (dahdi-build.log,495.29 KB, text/x-log)
2022-06-15 13:05 UTC, Vieri
Details
build log with -j1 (dahdi-build-j1.log,495.29 KB, text/x-log)
2022-06-15 22:47 UTC, Vieri
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Vieri 2022-03-06 00:06:46 UTC
Please let me know if the full build log is necessary as I am pasting only the last lines here:

make -f ./scripts/Makefile.modpost
  sed 's/\.ko$/\.o/' /var/tmp/portage/net-misc/dahdi-3.1.0-r3/work/dahdi-linux-3.1.0/drivers/dahdi/modules.order | scripts/mod/modpost -m -a  -o /var/tmp/portage/net-misc/dahdi-3.1.0-r3/work/dahdi-linux-3.1.0/drivers/dahdi/Module.symvers -e -i Module.symvers   -T -
/var/tmp/portage/net-misc/dahdi-3.1.0-r3/work/dahdi-linux-3.1.0/drivers/dahdi/vpmadt032_loader/.vpmadt032_x86_64.o.cmd: No such file or directory
make[2]: *** [scripts/Makefile.modpost:134: /var/tmp/portage/net-misc/dahdi-3.1.0-r3/work/dahdi-linux-3.1.0/drivers/dahdi/Module.symvers] Error 1
make[1]: *** [Makefile:1783: modules] Error 2
make[1]: Leaving directory '/usr/src/linux-5.15.11-gentoo'
make: *** [Makefile:74: modules] Error 2


# emerge --info '=net-misc/dahdi-3.1.0-r3::gentoo'
Portage 3.0.30 (python 3.9.9-final-0, default/linux/amd64/17.1, gcc-11.2.0, glibc-2.33-r7, 5.15.11-gentoo-x86_64 x86_64)
=================================================================
                         System Settings
=================================================================
System uname: Linux-5.15.11-gentoo-x86_64-x86_64-AMD_FX-tm-8320_Eight-Core_Processor-with-glibc2.33
KiB Mem:    32779424 total,   5321440 free
KiB Swap:   37052348 total,  30515900 free
Timestamp of repository gentoo: Mon, 28 Feb 2022 07:00:01 +0000
Head commit of repository gentoo: 15bc432d8976bacc019a08fc483f98ee7b94adfe
sh bash 5.1_p8
ld GNU ld (Gentoo 2.37_p1 p0) 2.37
app-misc/pax-utils:        1.3.3::gentoo
app-shells/bash:           5.1_p8::gentoo
dev-java/java-config:      2.3.1::gentoo
dev-lang/perl:             5.34.0-r6::gentoo
dev-lang/python:           3.9.9-r1::gentoo, 3.10.0_p1-r1::gentoo
dev-lang/rust-bin:         1.56.1::gentoo
dev-util/cmake:            3.21.4::gentoo
dev-util/meson:            0.60.3::gentoo
sys-apps/baselayout:       2.7-r3::gentoo
sys-apps/openrc:           0.44.10::gentoo
sys-apps/sandbox:          2.25::gentoo
sys-devel/autoconf:        2.71-r1::gentoo
sys-devel/automake:        1.16.4::gentoo
sys-devel/binutils:        2.37_p1::gentoo
sys-devel/binutils-config: 5.4::gentoo
sys-devel/gcc:             11.2.0::gentoo
sys-devel/gcc-config:      2.5-r1::gentoo
sys-devel/libtool:         2.4.6-r6::gentoo
sys-devel/make:            4.3::gentoo
sys-kernel/linux-headers:  5.15-r3::gentoo (virtual/os-headers)
sys-libs/glibc:            2.33-r7::gentoo
Repositories:

gentoo
    location: /var/db/repos/gentoo
    sync-type: rsync
    sync-uri: rsync://rsync.gentoo.org/gentoo-portage
    priority: -1000
    sync-rsync-verify-jobs: 1
    sync-rsync-extra-opts:
    sync-rsync-verify-max-age: 24
    sync-rsync-verify-metamanifest: yes

CustomOverlay
    location: /usr/local/portage
    masters: gentoo

ACCEPT_KEYWORDS="amd64"
ACCEPT_LICENSE="*"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-O2 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /etc/stunnel/stunnel.conf /usr/lib64/fax /usr/share/easy-rsa /usr/share/gnupg/qualified.txt /usr/share/maven-bin-3.8/conf /var/bind /var/spool/fax/etc"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/php/apache2-php8.0/ext-active/ /etc/php/cgi-php8.0/ext-active/ /etc/php/cli-php8.0/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /var/spool/fax/etc/xferfaxlog"
CXXFLAGS="-O2 -pipe"
DISTDIR="/var/cache/distfiles"
ENV_UNSET="CARGO_HOME DBUS_SESSION_BUS_ADDRESS DISPLAY GOBIN GOPATH PERL5LIB PERL5OPT PERLPREFIX PERL_CORE PERL_MB_OPT PERL_MM_OPT XAUTHORITY XDG_CACHE_HOME XDG_CONFIG_HOME XDG_DATA_HOME XDG_RUNTIME_DIR"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-docompress binpkg-dostrip binpkg-logs buildpkg buildpkg-live config-protect-if-modified distlocks ebuild-locks fixlafiles ipc-sandbox merge-sync multilib-strict network-sandbox news nostrip parallel-fetch pid-sandbox preserve-libs protect-owned qa-unresolved-soname-deps sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync xattr"
FFLAGS="-O2 -pipe"
GENTOO_MIRRORS="http://distfiles.gentoo.org"
LANG="C.UTF8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
MAKEOPTS="-j9"
PKGDIR="/var/cache/binpkgs"
PORTAGE_BINHOST="http://mserver.domain.org/gentoo/binary-amd64"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages --exclude=/.git"
PORTAGE_TMPDIR="/var/tmp"
SHELL="/bin/bash"
USE="acl ads amd64 apache2 bzip2 cli cluster crypt dri fortran freetds gdbm iconv ipv6 jbig kerberos ldap libglvnd libtirpc logrotate multilib ncurses nls nptl odbc openmp openrc pam pcre python radius readline samba seccomp split-usr ssl unicode winbind xattr zlib" ABI_X86="64" ADA_TARGET="gnat_2020" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" APACHE2_MPMS="prefork" CALLIGRA_FEATURES="karbon sheets words" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" CPU_FLAGS_X86="aes avx f16c fma3 fma4 mmx mmxext pclmul popcnt sse sse2 sse3 sse4_1 sse4_2 sse4a ssse3 xop" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock greis isync itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf skytraq superstar2 timing tsip tripmate tnt ublox ubx" GRUB_PLATFORMS="efi-64 pc" INPUT_DEVICES="libinput" KERNEL="linux" L10N="es es-ES ca" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" LUA_SINGLE_TARGET="lua5-1" LUA_TARGETS="lua5-1" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php7-4 php8-0" POSTGRES_TARGETS="postgres12 postgres13" PYTHON_SINGLE_TARGET="python3_9" PYTHON_TARGETS="python3_9" RUBY_TARGETS="ruby26 ruby27" USERLAND="GNU" VIDEO_CARDS="amdgpu fbdev intel nouveau radeon radeonsi vesa dummy v4l" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq proto steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  ADDR2LINE, AR, ARFLAGS, AS, ASFLAGS, CC, CCLD, CONFIG_SHELL, CPP, CPPFLAGS, CTARGET, CXX, CXXFILT, ELFEDIT, EMERGE_DEFAULT_OPTS, EXTRA_ECONF, F77FLAGS, FC, GCOV, GPROF, INSTALL_MASK, LC_ALL, LD, LEX, LFLAGS, LIBTOOL, LINGUAS, MAKE, MAKEFLAGS, NM, OBJCOPY, OBJDUMP, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, RANLIB, READELF, RUSTFLAGS, SIZE, STRINGS, STRIP, YACC, YFLAGS


# emerge -pqv '=net-misc/dahdi-3.1.0-r3::gentoo'
[ebuild  N    ] net-misc/dahdi-3.1.0-r3  USE="oslec -dist-kernel -flash"
Comment 1 Sam James archtester Gentoo Infrastructure gentoo-dev Security 2022-03-06 00:36:11 UTC
Yes, full build.log please.
Comment 2 Vieri 2022-03-06 01:01:00 UTC
Created attachment 766368 [details]
build log
Comment 3 Jaco Kroon 2022-06-09 21:11:15 UTC
test -e include/generated/autoconf.h -a -e include/config/auto.conf || (		\
echo >&2;							\
echo >&2 "  ERROR: Kernel configuration is invalid.";		\
echo >&2 "         include/generated/autoconf.h or include/config/auto.conf are missing.";\
echo >&2 "         Run 'make oldconfig && make prepare' on kernel src to fix it.";	\
echo >&2 ;							\
/bin/false)
Comment 4 Vieri 2022-06-10 06:33:10 UTC
Sorry to bring this back up, but shouldn't the ebuild detect the problem before the asterisk build process does?

Also, I don't know why thos files are missing. I build the kernel with genkernel -- standard procedure.

So I ran this:

# make oldconfig && make prepare
  HOSTCC  scripts/basic/fixdep
  HOSTCC  scripts/kconfig/conf.o
  HOSTCC  scripts/kconfig/confdata.o
  HOSTCC  scripts/kconfig/expr.o
  HOSTCC  scripts/kconfig/lexer.lex.o
  HOSTCC  scripts/kconfig/menu.o
  HOSTCC  scripts/kconfig/parser.tab.o
  HOSTCC  scripts/kconfig/preprocess.o
  HOSTCC  scripts/kconfig/symbol.o
  HOSTCC  scripts/kconfig/util.o
  HOSTLD  scripts/kconfig/conf
#
# configuration written to .config
#
  SYNC    include/config/auto.conf.cmd
  HOSTCC  arch/x86/tools/relocs_32.o
  HOSTCC  arch/x86/tools/relocs_64.o
  HOSTCC  arch/x86/tools/relocs_common.o
  HOSTLD  arch/x86/tools/relocs
  HOSTCC  scripts/genksyms/genksyms.o
  HOSTCC  scripts/genksyms/parse.tab.o
  HOSTCC  scripts/genksyms/lex.lex.o
  HOSTLD  scripts/genksyms/genksyms
  HOSTCC  scripts/selinux/genheaders/genheaders
  HOSTCC  scripts/selinux/mdp/mdp
  HOSTCC  scripts/bin2c
  HOSTCC  scripts/kallsyms
  HOSTCC  scripts/sorttable
  HOSTCC  scripts/asn1_compiler
  HOSTCC  scripts/sign-file
  HOSTCC  scripts/extract-cert
  CC      scripts/mod/empty.o
  HOSTCC  scripts/mod/mk_elfconfig
  MKELF   scripts/mod/elfconfig.h
  HOSTCC  scripts/mod/modpost.o
  CC      scripts/mod/devicetable-offsets.s
  HOSTCC  scripts/mod/file2alias.o
  HOSTCC  scripts/mod/sumversion.o
  HOSTLD  scripts/mod/modpost
  CC      kernel/bounds.s
  CC      arch/x86/kernel/asm-offsets.s
  CALL    scripts/checksyscalls.sh
  CALL    scripts/atomic/check-atomics.sh
  DESCEND objtool
  HOSTCC  /usr/src/linux-5.15.11-gentoo/tools/objtool/fixdep.o
  HOSTLD  /usr/src/linux-5.15.11-gentoo/tools/objtool/fixdep-in.o
  LINK    /usr/src/linux-5.15.11-gentoo/tools/objtool/fixdep
  CC      /usr/src/linux-5.15.11-gentoo/tools/objtool/exec-cmd.o
  CC      /usr/src/linux-5.15.11-gentoo/tools/objtool/help.o
  CC      /usr/src/linux-5.15.11-gentoo/tools/objtool/pager.o
  CC      /usr/src/linux-5.15.11-gentoo/tools/objtool/parse-options.o
  CC      /usr/src/linux-5.15.11-gentoo/tools/objtool/run-command.o
  CC      /usr/src/linux-5.15.11-gentoo/tools/objtool/sigchain.o
  CC      /usr/src/linux-5.15.11-gentoo/tools/objtool/subcmd-config.o
  LD      /usr/src/linux-5.15.11-gentoo/tools/objtool/libsubcmd-in.o
  AR      /usr/src/linux-5.15.11-gentoo/tools/objtool/libsubcmd.a
  CC      /usr/src/linux-5.15.11-gentoo/tools/objtool/arch/x86/special.o
  CC      /usr/src/linux-5.15.11-gentoo/tools/objtool/arch/x86/decode.o
  LD      /usr/src/linux-5.15.11-gentoo/tools/objtool/arch/x86/objtool-in.o
  CC      /usr/src/linux-5.15.11-gentoo/tools/objtool/weak.o
  CC      /usr/src/linux-5.15.11-gentoo/tools/objtool/check.o
  CC      /usr/src/linux-5.15.11-gentoo/tools/objtool/special.o
  CC      /usr/src/linux-5.15.11-gentoo/tools/objtool/orc_gen.o
  CC      /usr/src/linux-5.15.11-gentoo/tools/objtool/orc_dump.o
  CC      /usr/src/linux-5.15.11-gentoo/tools/objtool/builtin-check.o
  CC      /usr/src/linux-5.15.11-gentoo/tools/objtool/builtin-orc.o
  CC      /usr/src/linux-5.15.11-gentoo/tools/objtool/elf.o
  CC      /usr/src/linux-5.15.11-gentoo/tools/objtool/objtool.o
  CC      /usr/src/linux-5.15.11-gentoo/tools/objtool/libstring.o
  CC      /usr/src/linux-5.15.11-gentoo/tools/objtool/libctype.o
  CC      /usr/src/linux-5.15.11-gentoo/tools/objtool/str_error_r.o
  CC      /usr/src/linux-5.15.11-gentoo/tools/objtool/librbtree.o
  LD      /usr/src/linux-5.15.11-gentoo/tools/objtool/objtool-in.o
  LINK    /usr/src/linux-5.15.11-gentoo/tools/objtool/objtool

I'm still getting the same error when emerging dahdi.
The thing is that these files ARE present:

# ls include/config/auto.conf
include/config/auto.conf
# ls include/generated/autoconf.h
include/generated/autoconf.h

and non-empty.
Comment 5 Jaco Kroon 2022-06-10 07:09:30 UTC
(In reply to Vieri from comment #4)
> Sorry to bring this back up, but shouldn't the ebuild detect the problem
> before the asterisk build process does?

No stress.  I agree.  I figured this should be in linux-mod, so after investigation, both linux-mod and linux-info hooks pkg_setup ... so only linux-info's variant executes.  Swapping the inherit order seemingly fixes this.
Comment 6 Vieri 2022-06-14 22:41:01 UTC
Hi,

I tested https://github.com/gentoo/gentoo/pull/25852.
Unfortunately, I'm still getting compilation issues.
I am attaching the build log.

Thanks
Comment 7 Vieri 2022-06-14 22:42:33 UTC
Created attachment 785093 [details]
compilation issue (build log)
Comment 8 Vieri 2022-06-14 22:49:33 UTC
# emerge --info '=net-misc/dahdi-3.1.0-r4::CustomOverlay'
Portage 3.0.30 (python 3.9.9-final-0, default/linux/amd64/17.1, gcc-11.2.0, glibc-2.33-r7, 5.15.11-gentoo-x86_64 x86_64)
=================================================================
                         System Settings
=================================================================
System uname: Linux-5.15.11-gentoo-x86_64-x86_64-AMD_FX-tm-8320_Eight-Core_Processor-with-glibc2.33
KiB Mem:    32779424 total,   4451740 free
KiB Swap:   37052348 total,  36771260 free
Timestamp of repository gentoo: Mon, 28 Feb 2022 07:00:01 +0000
Head commit of repository gentoo: 15bc432d8976bacc019a08fc483f98ee7b94adfe
sh bash 5.1_p8
ld GNU ld (Gentoo 2.37_p1 p0) 2.37
app-misc/pax-utils:        1.3.3::gentoo
app-shells/bash:           5.1_p8::gentoo
dev-java/java-config:      2.3.1::gentoo
dev-lang/perl:             5.34.0-r6::gentoo
dev-lang/python:           3.9.9-r1::gentoo, 3.10.0_p1-r1::gentoo
dev-lang/rust-bin:         1.56.1::gentoo
dev-util/cmake:            3.21.4::gentoo
dev-util/meson:            0.60.3::gentoo
sys-apps/baselayout:       2.7-r3::gentoo
sys-apps/openrc:           0.44.10::gentoo
sys-apps/sandbox:          2.25::gentoo
sys-devel/autoconf:        2.71-r1::gentoo
sys-devel/automake:        1.16.4::gentoo
sys-devel/binutils:        2.37_p1::gentoo
sys-devel/binutils-config: 5.4::gentoo
sys-devel/gcc:             11.2.0::gentoo
sys-devel/gcc-config:      2.5-r1::gentoo
sys-devel/libtool:         2.4.6-r6::gentoo
sys-devel/make:            4.3::gentoo
sys-kernel/linux-headers:  5.15-r3::gentoo (virtual/os-headers)
sys-libs/glibc:            2.33-r7::gentoo
Repositories:

gentoo
    location: /var/db/repos/gentoo
    sync-type: rsync
    sync-uri: rsync://rsync.gentoo.org/gentoo-portage
    priority: -1000
    sync-rsync-extra-opts:
    sync-rsync-verify-metamanifest: yes
    sync-rsync-verify-max-age: 24
    sync-rsync-verify-jobs: 1

CustomOverlay
    location: /usr/local/portage
    masters: gentoo

ACCEPT_KEYWORDS="amd64"
ACCEPT_LICENSE="*"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-O2 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /etc/stunnel/stunnel.conf /usr/lib64/fax /usr/share/easy-rsa /usr/share/gnupg/qualified.txt /usr/share/maven-bin-3.8/conf /var/bind /var/spool/fax/etc"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/php/apache2-php8.0/ext-active/ /etc/php/cgi-php8.0/ext-active/ /etc/php/cli-php8.0/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /var/spool/fax/etc/xferfaxlog"
CXXFLAGS="-O2 -pipe"
DISTDIR="/var/cache/distfiles"
ENV_UNSET="CARGO_HOME DBUS_SESSION_BUS_ADDRESS DISPLAY GOBIN GOPATH PERL5LIB PERL5OPT PERLPREFIX PERL_CORE PERL_MB_OPT PERL_MM_OPT XAUTHORITY XDG_CACHE_HOME XDG_CONFIG_HOME XDG_DATA_HOME XDG_RUNTIME_DIR"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-docompress binpkg-dostrip binpkg-logs buildpkg buildpkg-live config-protect-if-modified distlocks ebuild-locks fixlafiles ipc-sandbox merge-sync multilib-strict network-sandbox news nostrip parallel-fetch pid-sandbox preserve-libs protect-owned qa-unresolved-soname-deps sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync xattr"
FFLAGS="-O2 -pipe"
GENTOO_MIRRORS="http://distfiles.gentoo.org"
LANG="C.UTF8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
MAKEOPTS="-j9"
PKGDIR="/var/cache/binpkgs"
PORTAGE_BINHOST="http://mserver.domain.org/gentoo/binary-amd64"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages --exclude=/.git"
PORTAGE_TMPDIR="/var/tmp"
SHELL="/bin/bash"
USE="acl ads amd64 apache2 bzip2 cli cluster crypt dri fortran freetds gdbm iconv ipv6 jbig kerberos ldap libglvnd libtirpc logrotate multilib ncurses nls nptl odbc openmp openrc pam pcre python radius readline samba seccomp split-usr ssl unicode winbind xattr zlib" ABI_X86="64" ADA_TARGET="gnat_2020" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" APACHE2_MPMS="prefork" CALLIGRA_FEATURES="karbon sheets words" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" CPU_FLAGS_X86="aes avx f16c fma3 fma4 mmx mmxext pclmul popcnt sse sse2 sse3 sse4_1 sse4_2 sse4a ssse3 xop" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock greis isync itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf skytraq superstar2 timing tsip tripmate tnt ublox ubx" GRUB_PLATFORMS="efi-64 pc" INPUT_DEVICES="libinput" KERNEL="linux" L10N="es es-ES ca" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" LUA_SINGLE_TARGET="lua5-1" LUA_TARGETS="lua5-1" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php7-4 php8-0" POSTGRES_TARGETS="postgres12 postgres13" PYTHON_SINGLE_TARGET="python3_9" PYTHON_TARGETS="python3_9" RUBY_TARGETS="ruby26 ruby27" USERLAND="GNU" VIDEO_CARDS="amdgpu fbdev intel nouveau radeon radeonsi vesa dummy v4l" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq proto steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  ADDR2LINE, AR, ARFLAGS, AS, ASFLAGS, CC, CCLD, CONFIG_SHELL, CPP, CPPFLAGS, CTARGET, CXX, CXXFILT, ELFEDIT, EMERGE_DEFAULT_OPTS, EXTRA_ECONF, F77FLAGS, FC, GCOV, GPROF, INSTALL_MASK, LC_ALL, LD, LEX, LFLAGS, LIBTOOL, LINGUAS, MAKE, MAKEFLAGS, NM, OBJCOPY, OBJDUMP, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, RANLIB, READELF, RUSTFLAGS, SIZE, STRINGS, STRIP, YACC, YFLAGS
Comment 9 Vieri 2022-06-14 23:01:54 UTC
I guess this is "bad":

/var/tmp/portage/net-misc/dahdi-3.1.0-r4/work/dahdi-linux-3.1.0/include/dahdi/kernel.h:1497:25: error: implicit declaration of function ‘pde_data’ [-Werror=implicit-function-declaration]
 1497 | #define PDE_DATA(x)     pde_data(x)
Comment 10 Vieri 2022-06-15 11:25:36 UTC
Even if I add this patch to include/dahdi/kernel.h

+#include <linux/proc_fs.h>
+static inline void *pde_data(const struct inode *inode)
+{
+       // return PDE(inode)->data;
+       return inode->i_private;
+}
+

which is most certainly a bad idea, but compilation proceeds beyond the point I reported earlier.

However, it now fails with 

/var/tmp/portage/net-misc/dahdi-3.1.0-r4/work/dahdi-linux-3.1.0/drivers/dahdi/vpmadt032_loader/.vpmadt032_x86_64.o.cmd: No such file or directory

So I'm getting the same error as in my first post.
I can attach the build log too, but it seems to be same old, same old.
Comment 11 Jaco Kroon 2022-06-15 11:56:19 UTC
(In reply to Vieri from comment #9)
> I guess this is "bad":
> 
> /var/tmp/portage/net-misc/dahdi-3.1.0-r4/work/dahdi-linux-3.1.0/include/
> dahdi/kernel.h:1497:25: error: implicit declaration of function ‘pde_data’
> [-Werror=implicit-function-declaration]
>  1497 | #define PDE_DATA(x)     pde_data(x)

Thank you for testing, yes, this is bad.

It's also part of the patch I cooked, but apparently I screwed up the backwards compatiblity.

You:

 * Found sources for kernel version:
 *     5.15.11-gentoo-x86_64
 * Checking for suitable kernel configuration options...

Me:

 * Found sources for kernel version:
 *     5.17.14-uls
 * Checking for suitable kernel configuration options ...                                    [ ok ]

Busy figuring this one out based on upstream kernel changes.

I've marked the PR as draft in the meantime though to prevent it being merged into ::gentoo.
Comment 12 Vieri 2022-06-15 12:10:48 UTC
What is "uls" in 5.17.14-uls?

Maybe I could try upgrading my kernel to gentoo-sources 5.17.14 or 5.17.15, both available in portage.

Did you actually succeed compiling dahdi all the way with kernel 5.17.14 -- even past 'drivers/dahdi/vpmadt032_loader/.vpmadt032_x86_64.o.cmd: No such file or directory'?
Comment 13 Jaco Kroon 2022-06-15 12:47:08 UTC
(In reply to Vieri from comment #12)
> What is "uls" in 5.17.14-uls?

Custom kernel we use :).

> Maybe I could try upgrading my kernel to gentoo-sources 5.17.14 or 5.17.15,
> both available in portage.

That should work

> Did you actually succeed compiling dahdi all the way with kernel 5.17.14 --
> even past 'drivers/dahdi/vpmadt032_loader/.vpmadt032_x86_64.o.cmd: No such
> file or directory'?

Yes.  Now against 5.16 and 5.15 too.

If you don't mind testing please, I'll flag it as ready for review.
Comment 14 Vieri 2022-06-15 12:53:31 UTC
Glad to test, but you updated https://github.com/jkroonza/gentoo/tree/dahdi-202206/net-misc/dahdi , right?
I'm not seeing changes there yet.
I can see a recent change to dahdi-tools but not dahdi.
Comment 15 Jaco Kroon 2022-06-15 12:56:29 UTC
(In reply to Vieri from comment #14)
> Glad to test, but you updated
> https://github.com/jkroonza/gentoo/tree/dahdi-202206/net-misc/dahdi , right?
> I'm not seeing changes there yet.
> I can see a recent change to dahdi-tools but not dahdi.

Yes.  It's just the Manifest that changed, the source file gentoo-dahdi-patches got updated with a fixed patch.  Figured I don't need to rename since it hasn't hit official mirrors yet.
Comment 16 Vieri 2022-06-15 13:05:01 UTC
OK, compilation wen tpast the pde_data error. Good.

However, I'm still getting the same error as in my first post.
I'm attaching the build log.
Comment 17 Vieri 2022-06-15 13:05:40 UTC
Created attachment 785438 [details]
build log
Comment 18 Jaco Kroon 2022-06-15 13:09:53 UTC
Sorry, I munged up a dahdi and glusterfs commit, should be fixed now.
Comment 19 Jaco Kroon 2022-06-15 13:31:59 UTC
(In reply to Vieri from comment #17)
> Created attachment 785438 [details]
> build log

Does it still fail with MAKEOPTS=-j1?
Comment 20 Vieri 2022-06-15 14:19:18 UTC
Yes, it still fails with:

# MAKEOPTS=-j1 emerge dahdi
[...]
/var/tmp/portage/net-misc/dahdi-3.1.0-r4/work/dahdi-linux-3.1.0/drivers/dahdi/vpmadt032_loader/.vpmadt032_x86_64.o.cmd: No such file or directory
make[2]: *** [scripts/Makefile.modpost:134: /var/tmp/portage/net-misc/dahdi-3.1.0-r4/work/dahdi-linux-3.1.0/drivers/dahdi/Module.symvers] Error 1
make[1]: *** [Makefile:1783: modules] Error 2
Comment 21 Jaco Kroon 2022-06-15 14:33:29 UTC
(In reply to Vieri from comment #20)
> Yes, it still fails with:
> 
> # MAKEOPTS=-j1 emerge dahdi
> [...]
> /var/tmp/portage/net-misc/dahdi-3.1.0-r4/work/dahdi-linux-3.1.0/drivers/
> dahdi/vpmadt032_loader/.vpmadt032_x86_64.o.cmd: No such file or directory
> make[2]: *** [scripts/Makefile.modpost:134:
> /var/tmp/portage/net-misc/dahdi-3.1.0-r4/work/dahdi-linux-3.1.0/drivers/
> dahdi/Module.symvers] Error 1
> make[1]: *** [Makefile:1783: modules] Error 2

That is actually good news for me - mind uploading that build.log file please?

The problem here is I don't seem to be able to reproduce with ANY kernel sources.
Comment 22 Vieri 2022-06-15 22:47:18 UTC
Created attachment 785558 [details]
build log with -j1

Sure, here's the build log when running with -j1.
Comment 23 Vieri 2022-06-17 08:49:39 UTC
Hi Jaco,

I know you're busy dealing with another bug concerning pjproject.
I think THAT bug is far more important than this one especially if I'm the only one with this DAHDI compilation error.
If all I need to do is upgrade my kernel then I don't think you should waste time on this unless of course I get the same error with the new kernel version.

You previously stated that the ebuild should compile fine with kernel 5.15.*. Have you really emerged DAHDI on a system running kernel 5.15.* albeit another flavor than gentoo-sources?
If so, your build log showed that drivers/dahdi/vpmadt032_loader/ was built, right?
Comment 24 Jaco Kroon 2022-06-17 09:09:16 UTC
I have compiled it against a gentoo-sources 5.15.*, and rt-sources 5.16.* (only 5.16 I could find in-tree), and our 5.17 (which is for the purposes of this discussion pretty much vanilla sources (the modifications are to tweak stuff which really should be sysctl's but I haven't yet bothered).
Comment 25 Jaco Kroon 2022-06-17 09:22:21 UTC
Sorry, meant to add that I believe it was compiled, but I didn't keep the build logs, will verify later, primary reason for the -j1 is to get access to the non-interleaved commands so that I can see exactly what it is that's actually failing.  Thanks for that.
Comment 26 Vieri 2022-06-17 13:20:33 UTC
This issue is probably an easy fix, but I just don't know dahdi enough to say why the default build is not working for me.

I noticed one thing though.
If I simply 
touch drivers/dahdi/vpmadt032_loader/.vpmadt032_x86_64.o.cmd
in the src_prepare ebuild clause then this package emerges fine.

# equery files dahdi
 * Searching for dahdi ...
 * Contents of net-misc/dahdi-3.1.0-r4:
/lib
/lib/firmware
/lib/firmware/dahdi-fw-a4a.bin
/lib/firmware/dahdi-fw-a4b.bin
/lib/firmware/dahdi-fw-a8a.bin
/lib/firmware/dahdi-fw-a8b.bin
/lib/firmware/dahdi-fw-hx8.bin
/lib/firmware/dahdi-fw-oct6114-032.bin
/lib/firmware/dahdi-fw-oct6114-064.bin
/lib/firmware/dahdi-fw-oct6114-128.bin
/lib/firmware/dahdi-fw-oct6114-256.bin
/lib/firmware/dahdi-fw-tc400m.bin
/lib/firmware/dahdi-fw-te133.bin
/lib/firmware/dahdi-fw-te134.bin
/lib/firmware/dahdi-fw-te435.bin
/lib/firmware/dahdi-fw-te436.bin
/lib/firmware/dahdi-fw-te820.bin
/lib/firmware/dahdi-fw-vpmoct032.bin
/lib/modules
/lib/modules/5.15.11-gentoo-x86_64
/lib/modules/5.15.11-gentoo-x86_64/dahdi
/lib/modules/5.15.11-gentoo-x86_64/dahdi/ap400
/lib/modules/5.15.11-gentoo-x86_64/dahdi/ap400/ap400.ko
/lib/modules/5.15.11-gentoo-x86_64/dahdi/cwain.ko
/lib/modules/5.15.11-gentoo-x86_64/dahdi/dahdi.ko
/lib/modules/5.15.11-gentoo-x86_64/dahdi/dahdi_dynamic.ko
/lib/modules/5.15.11-gentoo-x86_64/dahdi/dahdi_dynamic_eth.ko
/lib/modules/5.15.11-gentoo-x86_64/dahdi/dahdi_dynamic_ethmf.ko
/lib/modules/5.15.11-gentoo-x86_64/dahdi/dahdi_dynamic_loc.ko
/lib/modules/5.15.11-gentoo-x86_64/dahdi/dahdi_echocan_jpah.ko
/lib/modules/5.15.11-gentoo-x86_64/dahdi/dahdi_echocan_kb1.ko
/lib/modules/5.15.11-gentoo-x86_64/dahdi/dahdi_echocan_mg2.ko
/lib/modules/5.15.11-gentoo-x86_64/dahdi/dahdi_echocan_oslec.ko
/lib/modules/5.15.11-gentoo-x86_64/dahdi/dahdi_echocan_sec.ko
/lib/modules/5.15.11-gentoo-x86_64/dahdi/dahdi_echocan_sec2.ko
/lib/modules/5.15.11-gentoo-x86_64/dahdi/dahdi_transcode.ko
/lib/modules/5.15.11-gentoo-x86_64/dahdi/dahdi_vpmadt032_loader.ko
/lib/modules/5.15.11-gentoo-x86_64/dahdi/oct612x
/lib/modules/5.15.11-gentoo-x86_64/dahdi/oct612x/oct612x.ko
/lib/modules/5.15.11-gentoo-x86_64/dahdi/opvxa1200
/lib/modules/5.15.11-gentoo-x86_64/dahdi/opvxa1200/opvxa1200.ko
/lib/modules/5.15.11-gentoo-x86_64/dahdi/opvxd115
/lib/modules/5.15.11-gentoo-x86_64/dahdi/opvxd115/opvxd115.ko
/lib/modules/5.15.11-gentoo-x86_64/dahdi/qozap.ko
/lib/modules/5.15.11-gentoo-x86_64/dahdi/voicebus
/lib/modules/5.15.11-gentoo-x86_64/dahdi/voicebus/dahdi_voicebus.ko
/lib/modules/5.15.11-gentoo-x86_64/dahdi/wcaxx.ko
/lib/modules/5.15.11-gentoo-x86_64/dahdi/wcb4xxp
/lib/modules/5.15.11-gentoo-x86_64/dahdi/wcb4xxp/wcb4xxp.ko
/lib/modules/5.15.11-gentoo-x86_64/dahdi/wcopenpci.ko
/lib/modules/5.15.11-gentoo-x86_64/dahdi/wct4xxp
/lib/modules/5.15.11-gentoo-x86_64/dahdi/wct4xxp/wct4xxp.ko
/lib/modules/5.15.11-gentoo-x86_64/dahdi/wctc4xxp
/lib/modules/5.15.11-gentoo-x86_64/dahdi/wctc4xxp/wctc4xxp.ko
/lib/modules/5.15.11-gentoo-x86_64/dahdi/wctdm24xxp
/lib/modules/5.15.11-gentoo-x86_64/dahdi/wctdm24xxp/wctdm24xxp.ko
/lib/modules/5.15.11-gentoo-x86_64/dahdi/wcte13xp.ko
/lib/modules/5.15.11-gentoo-x86_64/dahdi/wcte43x.ko
/lib/modules/5.15.11-gentoo-x86_64/dahdi/xpp
/lib/modules/5.15.11-gentoo-x86_64/dahdi/xpp/xpd_bri.ko
/lib/modules/5.15.11-gentoo-x86_64/dahdi/xpp/xpd_echo.ko
/lib/modules/5.15.11-gentoo-x86_64/dahdi/xpp/xpd_fxo.ko
/lib/modules/5.15.11-gentoo-x86_64/dahdi/xpp/xpd_fxs.ko
/lib/modules/5.15.11-gentoo-x86_64/dahdi/xpp/xpd_pri.ko
/lib/modules/5.15.11-gentoo-x86_64/dahdi/xpp/xpp.ko
/lib/modules/5.15.11-gentoo-x86_64/dahdi/xpp/xpp_usb.ko
/lib/modules/5.15.11-gentoo-x86_64/dahdi/zaphfc
/lib/modules/5.15.11-gentoo-x86_64/dahdi/zaphfc/zaphfc.ko
/lib/modules/5.15.11-gentoo-x86_64/dahdi/ztgsm.ko
/usr
/usr/include
/usr/include/dahdi
/usr/include/dahdi/dahdi_config.h
/usr/include/dahdi/fasthdlc.h
/usr/include/dahdi/kernel.h
/usr/include/dahdi/user.h
/usr/include/dahdi/wctdm_user.h
/usr/lib
/usr/lib/hotplug
/usr/lib/hotplug/firmware
/usr/share
/usr/share/dahdi
/usr/share/dahdi/FPGA_1141.hex
/usr/share/dahdi/FPGA_1151.hex
/usr/share/dahdi/FPGA_1161.201.hex
/usr/share/dahdi/FPGA_1161.202.hex
/usr/share/dahdi/FPGA_1161.203.hex -> FPGA_1161.201.hex
/usr/share/dahdi/FPGA_1161.hex
/usr/share/dahdi/FPGA_FXS.hex
/usr/share/dahdi/PIC_TYPE_1.hex
/usr/share/dahdi/PIC_TYPE_2.hex
/usr/share/dahdi/PIC_TYPE_3.hex
/usr/share/dahdi/PIC_TYPE_4.hex
/usr/share/dahdi/PIC_TYPE_6.hex
/usr/share/dahdi/USB_FW.201.hex
/usr/share/dahdi/USB_FW.202.hex -> USB_FW.201.hex
/usr/share/dahdi/USB_FW.203.hex -> USB_FW.201.hex
/usr/share/dahdi/USB_FW.hex
/usr/share/dahdi/USB_RECOV.hex
/usr/share/dahdi/XppConfig.pm
/usr/share/dahdi/init_card_1_30
/usr/share/dahdi/init_card_2_30
/usr/share/dahdi/init_card_3_30
/usr/share/dahdi/init_card_4_30
/usr/share/dahdi/init_card_5_30
/usr/share/dahdi/init_card_6_30


I'm not sure though if this installation is sane or not.

Portage also installs dahdi-fwload-vpmadt032-1.25.0.tar.gz with some o_shipped files, but I don't know if they are actually used or not.

Anyway, I don't know why .vpmadt032_x86_64.o.cmd is not being created, but it might not be harmful if it's empty.
Comment 27 Jaco Kroon 2022-06-27 22:07:07 UTC
[ebuild   R    ] net-misc/dahdi-3.1.0-r4::gentoo  USE="-dist-kernel -flash -oslec" 95 KiB

...
 * Found sources for kernel version:
 *     5.15.41-gentoo
 * Checking for suitable kernel configuration options ...                                    [ ok ]
...
jkroon@plastiekpoot ~/projects/gentoo/net-misc/dahdi (dahdi-202206) $ equery files dahdi | grep vpmadt032
/lib/modules/5.15.41-gentoo/dahdi/dahdi_vpmadt032_loader.ko


[ebuild   R    ] net-misc/dahdi-3.1.0-r4::gentoo  USE="-dist-kernel -flash -oslec" 0 KiB
...
 * Found sources for kernel version:
 *     5.16.2-rt-rt19
...
jkroon@plastiekpoot ~/projects/gentoo/net-misc/dahdi (dahdi-202206) $ equery files dahdi | grep vpmadt032
/lib/modules/5.16.2-rt-rt19/dahdi/dahdi_vpmadt032_loader.ko


[ebuild   R    ] net-misc/dahdi-3.1.0-r4::gentoo  USE="-dist-kernel -flash -oslec" 0 KiB
...
 * Found sources for kernel version:
 *     5.17.14-uls
 * Checking for suitable kernel configuration options ...                                    [ ok ]

jkroon@plastiekpoot ~/projects/gentoo/net-misc/dahdi (dahdi-202206) $ equery files dahdi | grep vpmadt032
/lib/modules/5.17.14-uls/dahdi/dahdi_vpmadt032_loader.ko


Since this is blocking, I've updated the referenced to this bug to Bug, so that we can get it merged in the meantime, with the understanding we probably need more work on this bug.

Leaving as in progress, however, I cannot confirm this bug on my system.
Comment 28 Larry the Git Cow gentoo-dev 2022-06-30 21:47:34 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6d1f4088f1bfa1c60b9ec54663a352c89d088177

commit 6d1f4088f1bfa1c60b9ec54663a352c89d088177
Author:     Jaco Kroon <jaco@uls.co.za>
AuthorDate: 2022-06-10 07:18:26 +0000
Commit:     Sam James <sam@gentoo.org>
CommitDate: 2022-06-30 21:46:42 +0000

    net-misc/dahdi: 3.1.0-r4
    
    This fixes a few reported bugs, and re-introduces some drivers that was
    dropped from upstream, which someone mentioned to me could still be
    useful, but I can't recall whom nor can I find references as to where,
    but seeing when I pushed -r3 this was plainly in the pipeline I pushed
    forward on that.
    
    Closes: https://bugs.gentoo.org/832587
    Bug: https://bugs.gentoo.org/834640
    Package-Manager: Portage-3.0.30, Repoman-3.0.3
    Signed-off-by: Jaco Kroon <jaco@uls.co.za>
    Signed-off-by: Sam James <sam@gentoo.org>

 net-misc/dahdi/Manifest              |   2 +
 net-misc/dahdi/dahdi-3.1.0-r4.ebuild | 120 +++++++++++++++++++++++++++++++++++
 2 files changed, 122 insertions(+)